Bug 480887 - Review Request: kguitar - Guitar Tabulature Music Editor
Summary: Review Request: kguitar - Guitar Tabulature Music Editor
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 480886 481071
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-21 04:47 UTC by Orcan Ogetbil
Modified: 2009-03-24 20:00 UTC (History)
4 users (show)

Fixed In Version: 0.5.1-3.926svn.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-19 15:10:38 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2009-01-21 04:47:01 UTC
Spec URL: http://oget.fedorapeople.org/review/kguitar.spec
SRPM URL: http://oget.fedorapeople.org/review/kguitar-0.5.1-1.20090120svn.fc10.src.rpm
Description: 
KGuitar is powerful KDE-based music tabulature editor with support of multiple
guitar (or any fretted instrument) and drum tracks. KGuitar also supports
classic note scores, MIDI synthesizer output, chord, scales, modes, melody and
rhythm construction and analysis tools, lots of tab effects, lyrics, Guitar Pro
files import and lots of other things.

Rpmlint:
kguitar.x86_64: W: dangling-relative-symlink /usr/share/doc/HTML/en/kguitar/common ../common

This is resolved through dependencies.

I picked the SVN snapshot because the stable version seems more problematic for compiling.

Comment 1 manuel wolfshant 2009-01-21 19:50:38 UTC
Please use "KGuitar is a powerful ..."I am not a native speaker but AFAIK it's a bit closer to correct English.

Comment 2 Orcan Ogetbil 2009-01-21 20:25:50 UTC
Right. Will do.

Comment 3 Orcan Ogetbil 2009-01-22 00:07:16 UTC
Update:
Spec URL: http://oget.fedorapeople.org/review/kguitar.spec
SRPM URL:
http://oget.fedorapeople.org/review/kguitar-0.5.1-2.20090120svn.fc10.src.rpm

Changelog:
- Updated description
- Added TeX support

I put the TeX support inside the main package, which pulls about 30MB of dependencies (if TeX is not installed). I can put it in a subpackage but I don't think 30MB of deps is too much to care about.

But please let me know what your suggestion for the subpackage name is, if you think that will be a better option.

kguitar-tex
kguitar-kgtabs
tex-kguitar
tex-kgtabs
tex-kguitar-kgtabs
??? (this question was to anyone who reads this)

Comment 4 Mamoru TASAKA 2009-02-07 18:23:10 UTC
First of all:

Would you explain why the license term in
licenseMusicXML.html are related to this application?

I fear that the clause
---------------------------------------------------------------------
This
Agreement is governed by the laws of the State of California and the
intellectual property laws of the United States of America.
----------------------------------------------------------------------
renders this license non-free.

Comment 5 Mamoru TASAKA 2009-02-07 18:28:12 UTC
(In reply to comment #4)
> Would you explain why the license term in
> licenseMusicXML.html are related to this application?

s|why|how|

Comment 6 Orcan Ogetbil 2009-02-08 01:17:03 UTC
(In reply to comment #4)
> First of all:
> 
> Would you explain why the license term in
> licenseMusicXML.html are related to this application?
> 
> I fear that the clause
> ---------------------------------------------------------------------
> This
> Agreement is governed by the laws of the State of California and the
> intellectual property laws of the United States of America.
> ----------------------------------------------------------------------
> renders this license non-free.


I am not sure if we should include this license file in the package. As far as I understood this license applies to certain MusicXML document files. No such files are distributed by upstream tarball. The only relation between this license and kguitar is: kguitar is capable of handling MusicXML files. In Fedora, we have also other applications that can handle these MusicXML files. Tuxguitar and hydrogen are two examples that I can think of (they both do not distribute MusicXML document files.).

Should I take this file off the package?

Comment 7 Orcan Ogetbil 2009-02-08 01:19:06 UTC
Just to clear confusion, in the above message "MusicXML document files" and "MusicXML files" mean the same.

Comment 8 Mamoru TASAKA 2009-02-08 16:45:46 UTC
Ah, after reading http://musicxml.org/xml.html and
also this:
https://bugzilla.redhat.com/show_bug.cgi?id=357461
and also your explanation:

- This MusicXML document format license is free, GPL imcompatible
- However it seems that kguitar behaves just an interpreter or
  editor for MusicXML document format license files.

So there should no license issue for this package. Then:

* _texmf macro
  - Isn't the following enough?
-------------------------------------------------------------
%{!?_texmf: %define _texmf %(kpsewhich -expand-var '$TEXMFMAIN')}
-------------------------------------------------------------

! Versioning
  - For svn based tarball, I prefer to include revision number
    rather than the date I pulled the source because revision
    number specifies the source used precisely, however
    this is left to your choice.

  - By the way, would you tell me if this is after or before
    0.5.1 formal release?

* TeX dependency
  - I think 30 Mbyte extra dependency is enough large.
    Also I think that requiring another font for this package
    should not be mandatory.
    TeX related dependency should be split out.
    I would choose "kguitar-tex" for TeX related subpackage.

* Timestamps
-------------------------------------------------------------
touch -r %{name}/x-%{name}.desktop tmpfile
-------------------------------------------------------------
  - Is it really needed here to keep timestamps on this file?
    You "actually" modified this desktop file here.

? Desktop file location
  - Is it needed that the desktop file is installed under
    %_datadir/applications/kde, not under %_datadir/applications?
    Such desktop files cannot be seem from GNOME, however
    it seems that this application can be used also on GNOME.

* _docdir
  - Files/directories under %_docdir are automatically marked
    as %doc

Comment 9 Orcan Ogetbil 2009-02-08 19:37:36 UTC
(In reply to comment #8)
> Ah, after reading http://musicxml.org/xml.html and
> also this:
> https://bugzilla.redhat.com/show_bug.cgi?id=357461
> and also your explanation:
> 
> - This MusicXML document format license is free, GPL imcompatible
> - However it seems that kguitar behaves just an interpreter or
>   editor for MusicXML document format license files.
> 
> So there should no license issue for this package. Then:
> 

Ok, so should I keep that MusicXML document license file in the %doc, or doesn't it matter?

> * _texmf macro
>   - Isn't the following enough?
> -------------------------------------------------------------
> %{!?_texmf: %define _texmf %(kpsewhich -expand-var '$TEXMFMAIN')}
> -------------------------------------------------------------
> 

I forgot to fix this. There's already an RPM macro %{_texmf_main} provided by texlive-texmf package. I made the SPEC file to use that macro instead.


> ! Versioning
>   - For svn based tarball, I prefer to include revision number
>     rather than the date I pulled the source because revision
>     number specifies the source used precisely, however
>     this is left to your choice.
> 

I agree. Changed.


>   - By the way, would you tell me if this is after or before
>     0.5.1 formal release?
> 

This SVN snapshot includes some fixes that came *after* the 0.5.1 formal release.

> * TeX dependency
>   - I think 30 Mbyte extra dependency is enough large.
>     Also I think that requiring another font for this package
>     should not be mandatory.
>     TeX related dependency should be split out.
>     I would choose "kguitar-tex" for TeX related subpackage.
> 

I split the TeX bits into a subpackage.

> * Timestamps
> -------------------------------------------------------------
> touch -r %{name}/x-%{name}.desktop tmpfile
> -------------------------------------------------------------
>   - Is it really needed here to keep timestamps on this file?
>     You "actually" modified this desktop file here.
> 

I was not thinking. Removed the timestamp conservation.

> ? Desktop file location
>   - Is it needed that the desktop file is installed under
>     %_datadir/applications/kde, not under %_datadir/applications?
>     Such desktop files cannot be seem from GNOME, however
>     it seems that this application can be used also on GNOME.
> 

I didn't know that the application won't be visible from gnome. I changed it to use %_datadir/applications.

> * _docdir
>   - Files/directories under %_docdir are automatically marked
>     as %doc

Removed the unnecessary %doc.

Update:
Spec URL: http://oget.fedorapeople.org/review/kguitar.spec
SRPM URL: http://oget.fedorapeople.org/review/kguitar-0.5.1-3.926svn.fc10.src.rpm

Changelog: 0.5.1-3.926svn
- Change the EVR scheme (use svn revision instead of date in R)
- Use RPM's _texmf_main macro instead of redefining it
- Place the TeX bit into a -tex subpackage
- Specfile cleanup

Comment 10 Mamoru TASAKA 2009-02-11 18:13:48 UTC
( Sorry it may take a little more time for me to check your
  latest srpm. But I will review your latest srpm by Sunday )

Comment 11 Mamoru TASAKA 2009-02-12 15:15:49 UTC
Okay, good.

-------------------------------------------------------
  This package (kguitar) is APPROVED by mtasaka
-------------------------------------------------------

Comment 12 Orcan Ogetbil 2009-02-17 05:27:45 UTC
Thank you.

New Package CVS Request
=======================
Package Name: kguitar
Short Description: Guitar Tabulature Music Editor
Owners: oget
Branches: F-9 F-10
InitialCC:

Comment 13 Kevin Fenzi 2009-02-18 19:55:44 UTC
cvs done.

Comment 14 Mamoru TASAKA 2009-02-19 15:10:38 UTC
Now closing.

Comment 15 Fedora Update System 2009-03-09 22:56:02 UTC
kguitar-0.5.1-3.926svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-03-09 23:02:47 UTC
kguitar-0.5.1-3.926svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Rex Dieter 2009-03-24 20:00:57 UTC
fyi, in comment #8 , pertaining to desktop file location, for posterity, the comment 

"Is it needed that the desktop file is installed under %_datadir/applications/kde, not under %_datadir/applications? Such desktop files cannot be seem from GNOME"

ss incorrect.  Subdirectories of applications/ is certainly allowed and supported by any desktop following the xdg spec (including gnome).


Note You need to log in before you can comment on or make changes to this bug.